Subject: bug#49043: closed (Re: bug#49030: 28.0.50; Tramp archive error)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 20 Jun 2021 14:23:03 +0000

Your bug report

#49030: 27.1: ibuffer-toggle-filter-group [BUGFIX]

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49030: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49030
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#49030: 28.0.50; Tramp archive error
From: Michael Albinus <[email-masked]>
To: Juri Linkov <[email-masked]>
Cc: [email-masked]
Date: Sun, 20 Jun 2021 16:22:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 28.1

Juri Linkov <[email-masked]> writes:

Hi Juri,

>>> Such error is signaled:
>>>
>>>   Tramp: Opening connection for file%3A%2F%2F%2Ftmp%2Ftest.tgz
>>> using archive...failed
>>>   file-error: org.gtk.GDBus.UnmappedGError.Quark._g_2dio_2derror_2dquark.Code1
>>>   Error when getting information for file “/tmp/test.tgz”: No such
>>> file or directory
>>
>> Thanks for the recipe. I've pushed a fix to master, could you pls check?
>
> Thanks for the fix.  I confirm that the error is fixed.
> (I don't know if the merged bug#49043 can be closed.)

Thanks for the confirmation, I'm closing the bug.

Best regards, Michael.

Subject: 27.1: ibuffer-toggle-filter-group [BUGFIX]
From: Boruch Baum <[email-masked]>
To: Emacs Bug Reporting <[email-masked]>
Date: Tue, 15 Jun 2021 11:52:31 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I've been having operation ibuffer-toggle-filter-group reliably crash
whenever performed due to it trying to operate on a point beyond
point-max. The culprit seems to be in function ibuffer-map-lines where:

  (delete-region (line-beginning-position)
     	         (line-end-position))))

is being performed instead of:

  (delete-region (line-beginning-position)
	    (min (point-max) (1+ (line-end-position))))

This solves the issue for me.

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0